<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreWateringRequest;
use App\Http\Requests\UpdateWateringRequest;
use App\Models\Watering;

class WateringController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreWateringRequest $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Watering $watering)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Watering $watering)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateWateringRequest $request, Watering $watering)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Watering $watering)
    {
        //
    }
}
